Back to LinkedIn
Apify·LinkedIn

Search LinkedIn Profiles (by Services)

/harvestapi/linkedin-profile-search-by-servicesasync$0.015 / result

Search for LinkedIn profiles by keywords of services and extract detailed profile information, including work experience, education history, location and more. No cookies or account required. Runs as an Apify actor (20–120 s); results are dataset rows.

Charged per returned row plus the flat fee.

Input
FieldTypeRequiredDescription
profileScraperModestring (Short, Full, Full + email search)Choose the mode for scraping LinkedIn profiles. The Short mode provides basic information, while the Full mode includes full detailed profile data.
searchstringQuery to search LinkedIn profiles. (e.g., `Founder`, `Marketing Manager`, `John Doe`). [The query supports search operators](https://www.linkedin.com/help/linkedin/answer/a524335)
maxItemsintegerMaximum number of profiles to scrape. The actor will stop scraping when this limit is reached.
locationsarrayFilter Profiles by these LinkedIn locations. Example: `San Francisco`. LinkedIn does not always understand your text queries. For example for "UK" query it will apply "Ukraine" location, so you should use "United Kingdom" in this case. Try this out first in the location filter input of LinkedIn sear
startPageintegerThe page number to start scraping from. (default 1)
takePagesintegerThe number of search pages to scrape. Each page contains 25 profiles.

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"apify","endpoint":"/harvestapi/linkedin-profile-search-by-services","input":{}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.